package com.engine.organization.enums;


/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/6/14
 * @Version V1.0
 **/
public enum ModuleTypeEnum implements BaseEnum<Integer> {

    subcompanyfielddefined(1, "分部", -84967),
    departmentfielddefined(2, "部门", -84967),
    jobfielddefined(3, "岗位", -84967),
    resourcefielddefined(4, "人员", -84967);

    private int value;

    private String defaultLabel;

    private int labelId;

    ModuleTypeEnum(int value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }
}
